LibreOffice LibreOffice 25.8 SDK C/C++ API Reference

Loading...
Searching...
No Matches
compbase4.hxx File Reference
`#include "cppuhelper/implbase4.hxx"`
`#include "cppuhelper/compbase_ex.hxx"`

Go to the source code of this file.

## Classes
class | cppu::WeakComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 >
| Implementation helper supporting css::lang::XTypeProvider and css::lang::XComponent. More...
class | cppu::PartialWeakComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 >
| Same as WeakComponentImplHelper4, except doesn't implement addEventListener, removeEventListener and dispose. More...
class | cppu::WeakAggComponentImplHelper4< Ifc1, Ifc2, Ifc3, Ifc4 >
| Implementation helper supporting css::lang::XTypeProvider and css::lang::XComponent. More...

## Namespaces
namespace | cppu